xine-lib: opengl2_driver_s Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
opengl2_driver_s Struct Reference

## Data Fields
vo_driver_t | vo_driver
vo_scale_t | sc
xine_gl_t * | gl
int | texture_float
GLenum | fmt_1p
GLenum | fmt_2p
opengl2_program_t | csc_shaders [OGL2_cscs_LAST]
opengl2_csc_shader_t | last_csc_shader
GLuint | tex [OGL2_TEX_LAST]
GLuint | overlay_tex [XINE_VORAW_MAX_OVL+1]
opengl2_yuvtex_t | yuvtex
struct { |
uint32_t index |
GLuint tex |
} | vtex |
uint32_t | vPBOindex
GLuint | PBO [2+2]
GLuint | fbo
int | last_gui_width
int | last_gui_height
struct { |
void(* blend )(struct opengl2_driver_s *this, vo_frame_t *frame_gen, vo_overlay_t *overlay) |
void(* end )(struct opengl2_driver_s *this, vo_frame_t *vo_img) |
int changed |
int num |
uint8_t unscaled_list [XINE_VORAW_MAX_OVL+1] |
opengl2_overlay_t buf [XINE_VORAW_MAX_OVL] |
} | ovl |
float | csc_matrix [3 *4]
float | join16 [2]
int | input_bits
int | color_standard
int | update_csc
int | saturation
int | contrast
int | brightness
int | hue
struct { |
int value |
int changed |
float mid |
float side |
float corn |
opengl2_program_t program |
} | sharp |
struct { |
int flags |
int changed |
} | transform |
struct { |
opengl2_program_t pass1_program |
opengl2_program_t pass2_program |
GLuint fbo |
int pass1_tex_w |
int pass1_tex_h |
int mode_changed |
int mode_changing |
int mode1 |
opengl2_scale_t mode2 |
float lut_y |
uint32_t flags |
} | bicubic |
pthread_mutex_t | drawable_lock
uint32_t | display_width
uint32_t | display_height
config_values_t * | config
xine_t * | xine
int | zoom_x
int | zoom_y
int | cm_state
uint8_t | cm_lut [32]
int | max_video_width
int | max_video_height
int | max_display_width
int | max_display_height
vo_accel_generic_t | accel
int | exit_indx
int | exiting
xine_hwdec_t * | hw
xine_glconv_t * | glconv

## Field Documentation

## ◆ accel

vo_accel_generic_t opengl2_driver_s::accel

## ◆ [struct]

struct { ... } opengl2_driver_s::bicubic

Referenced by _opengl2_setup_bicubic(), create_lut_texture(), opengl2_draw(), opengl2_draw_video_bicubic(), opengl2_draw_video_cubic_x(), opengl2_draw_video_cubic_y(), and opengl2_setup_bicubic().

## ◆ blend

void(* opengl2_driver_s::blend) (struct opengl2_driver_s *this, vo_frame_t *frame_gen, vo_overlay_t *overlay)

## ◆ brightness

int opengl2_driver_s::brightness

Referenced by opengl2_update_csc_matrix().

## ◆ buf

opengl2_overlay_t opengl2_driver_s::buf[XINE_VORAW_MAX_OVL]

Referenced by opengl2_draw_scaled_overlays(), and opengl2_draw_unscaled_overlays().

## ◆ changed

int opengl2_driver_s::changed

Referenced by opengl2_draw().

## ◆ cm_lut

uint8_t opengl2_driver_s::cm_lut[32]

## ◆ cm_state

int opengl2_driver_s::cm_state

## ◆ color_standard

int opengl2_driver_s::color_standard

Referenced by opengl2_update_csc_matrix().

## ◆ config

config_values_t* opengl2_driver_s::config

## ◆ contrast

int opengl2_driver_s::contrast

Referenced by opengl2_update_csc_matrix().

## ◆ corn

float opengl2_driver_s::corn

Referenced by opengl2_draw(), and opengl2_sharpness().

## ◆ csc_matrix

float opengl2_driver_s::csc_matrix[3 *4]

Referenced by opengl2_update_csc_matrix(), and opengl2_use_csc().

## ◆ csc_shaders

opengl2_program_t opengl2_driver_s::csc_shaders[OGL2_cscs_LAST]

Referenced by opengl2_draw(), and opengl2_use_csc().

## ◆ display_height

uint32_t opengl2_driver_s::display_height

## ◆ display_width

uint32_t opengl2_driver_s::display_width

## ◆ drawable_lock

pthread_mutex_t opengl2_driver_s::drawable_lock

## ◆ end

void(* opengl2_driver_s::end) (struct opengl2_driver_s *this, vo_frame_t *vo_img)

## ◆ exit_indx

int opengl2_driver_s::exit_indx

## ◆ exiting

int opengl2_driver_s::exiting

## ◆ fbo

GLuint opengl2_driver_s::fbo

Referenced by _opengl2_setup_bicubic(), opengl2_draw(), and opengl2_draw_video_bicubic().

## ◆ flags [1/2]

int opengl2_driver_s::flags

Referenced by _opengl2_setup_bicubic(), create_lut_texture(), opengl2_draw(), and opengl2_setup_bicubic().

## ◆ flags [2/2]

uint32_t opengl2_driver_s::flags

## ◆ fmt_1p

GLenum opengl2_driver_s::fmt_1p

Referenced by opengl2_draw().

## ◆ fmt_2p

GLenum opengl2_driver_s::fmt_2p

Referenced by opengl2_draw().

## ◆ gl

xine_gl_t* opengl2_driver_s::gl

Referenced by opengl2_draw().

## ◆ glconv

xine_glconv_t* opengl2_driver_s::glconv

Referenced by opengl2_draw().

## ◆ hue

int opengl2_driver_s::hue

Referenced by opengl2_update_csc_matrix().

## ◆ hw

xine_hwdec_t* opengl2_driver_s::hw

Referenced by opengl2_draw().

## ◆ index

uint32_t opengl2_driver_s::index

Referenced by opengl2_vtex_swap().

## ◆ input_bits

int opengl2_driver_s::input_bits

Referenced by opengl2_update_csc_matrix().

## ◆ join16

float opengl2_driver_s::join16[2]

Referenced by opengl2_draw(), and opengl2_update_csc_matrix().

## ◆ last_csc_shader

opengl2_csc_shader_t opengl2_driver_s::last_csc_shader

Referenced by opengl2_use_csc().

## ◆ last_gui_height

int opengl2_driver_s::last_gui_height

## ◆ last_gui_width

int opengl2_driver_s::last_gui_width

## ◆ lut_y

float opengl2_driver_s::lut_y

Referenced by opengl2_draw_video_bicubic(), opengl2_draw_video_cubic_x(), and opengl2_draw_video_cubic_y().

## ◆ max_display_height

int opengl2_driver_s::max_display_height

## ◆ max_display_width

int opengl2_driver_s::max_display_width

## ◆ max_video_height

int opengl2_driver_s::max_video_height

## ◆ max_video_width

int opengl2_driver_s::max_video_width

## ◆ mid

float opengl2_driver_s::mid

Referenced by opengl2_draw(), and opengl2_sharpness().

## ◆ mode1

int opengl2_driver_s::mode1

## ◆ mode2

opengl2_scale_t opengl2_driver_s::mode2

Referenced by opengl2_draw().

## ◆ mode_changed

int opengl2_driver_s::mode_changed

Referenced by opengl2_draw().

## ◆ mode_changing

int opengl2_driver_s::mode_changing

## ◆ num

int opengl2_driver_s::num

Referenced by opengl2_draw_scaled_overlays().

## ◆ overlay_tex

GLuint opengl2_driver_s::overlay_tex[XINE_VORAW_MAX_OVL+1]

Referenced by opengl2_draw_scaled_overlays(), and opengl2_draw_unscaled_overlays().

## ◆ [struct]

struct { ... } opengl2_driver_s::ovl

Referenced by opengl2_draw_scaled_overlays(), and opengl2_draw_unscaled_overlays().

## ◆ pass1_program

opengl2_program_t opengl2_driver_s::pass1_program

Referenced by _opengl2_setup_bicubic(), opengl2_draw_video_bicubic(), and opengl2_draw_video_cubic_x().

## ◆ pass1_tex_h

int opengl2_driver_s::pass1_tex_h

Referenced by opengl2_draw_video_bicubic().

## ◆ pass1_tex_w

int opengl2_driver_s::pass1_tex_w

Referenced by opengl2_draw_video_bicubic().

## ◆ pass2_program

opengl2_program_t opengl2_driver_s::pass2_program

Referenced by _opengl2_setup_bicubic(), opengl2_draw_video_bicubic(), and opengl2_draw_video_cubic_y().

## ◆ PBO

GLuint opengl2_driver_s::PBO[2+2]

## ◆ program

opengl2_program_t opengl2_driver_s::program

Referenced by opengl2_sharpness().

## ◆ saturation

int opengl2_driver_s::saturation

Referenced by opengl2_update_csc_matrix().

## ◆ sc

vo_scale_t opengl2_driver_s::sc

Referenced by opengl2_draw(), and opengl2_draw_unscaled_overlays().

## ◆ [struct]

struct { ... } opengl2_driver_s::sharp

Referenced by opengl2_draw(), and opengl2_sharpness().

## ◆ side

float opengl2_driver_s::side

Referenced by opengl2_draw(), and opengl2_sharpness().

## ◆ tex

GLuint opengl2_driver_s::tex

Referenced by _opengl2_setup_bicubic(), create_lut_texture(), opengl2_draw(), opengl2_draw_video_bicubic(), opengl2_draw_video_cubic_x(), opengl2_draw_video_cubic_y(), and opengl2_vtex_swap().

## ◆ texture_float

int opengl2_driver_s::texture_float

## ◆ [struct]

struct { ... } opengl2_driver_s::transform

Referenced by opengl2_draw().

## ◆ unscaled_list

uint8_t opengl2_driver_s::unscaled_list[XINE_VORAW_MAX_OVL+1]

Referenced by opengl2_draw_scaled_overlays(), and opengl2_draw_unscaled_overlays().

## ◆ update_csc

int opengl2_driver_s::update_csc

Referenced by opengl2_update_csc_matrix().

## ◆ value

int opengl2_driver_s::value

Referenced by opengl2_draw().

## ◆ vo_driver

vo_driver_t opengl2_driver_s::vo_driver

## ◆ vPBOindex

uint32_t opengl2_driver_s::vPBOindex

## ◆ [struct]

struct { ... } opengl2_driver_s::vtex

Referenced by opengl2_draw(), and opengl2_vtex_swap().

## ◆ xine

xine_t* opengl2_driver_s::xine

Referenced by opengl2_draw(), opengl2_draw_video_bicubic(), opengl2_update_csc_matrix(), and opengl2_use_csc().

## ◆ yuvtex

opengl2_yuvtex_t opengl2_driver_s::yuvtex

Referenced by opengl2_draw().

## ◆ zoom_x

int opengl2_driver_s::zoom_x

## ◆ zoom_y

int opengl2_driver_s::zoom_y

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/video_out/video_out_opengl2.c